communications:
  mattermost:
    botName: "{{ cloudstack.plugins.botkube_velero.config.communications.mattermost.botname }}"
    enabled: {{ cloudstack.plugins.botkube_velero.config.communications.mattermost.enabled }}
    url: "{{ cloudstack.plugins.botkube_velero.config.communications.mattermost.url }}"
    token: "{{ cloudstack.plugins.botkube_velero.config.communications.mattermost.token }}"
    team: "{{ cloudstack.plugins.botkube_velero.config.communications.mattermost.team }}"
    channel: "{{ cloudstack.plugins.botkube_velero.config.communications.mattermost.channel }}"
  webhook:
    enabled: {{ cloudstack.plugins.botkube_velero.config.communications.webhook.enabled }}
    url: "{{ cloudstack.plugins.botkube_velero.config.communications.webhook.url }}"
  teams:
    enabled: {{ cloudstack.plugins.botkube_velero.config.communications.teams.enabled }}
    appID: "{{ cloudstack.plugins.botkube_velero.config.communications.teams.appid }}"
    appPassword: "{{ cloudstack.plugins.botkube_velero.config.communications.teams.apppassword }}"
    notiftype: "{{ cloudstack.plugins.botkube_velero.config.communications.teams.notiftype }}"
    port: "{{ cloudstack.plugins.botkube_velero.config.communications.teams.port }}"
config:
  settings:
    clustername: "{{ cloudstack.plugins.botkube_velero.config.config.settings.clustername }}"
    kubectl:
      enabled: {{ cloudstack.plugins.botkube_velero.config.config.settings.kubectl.enabled }}
  resources:
{% if cloudstack.plugins.botkube_velero.config.config.resources.velero.backups %}
    - name: velero.io/v1/backups
      namespaces:
        include:
          - all
      events:
        - all
      updateSetting:
        includeDiff: true
        fields:
          - status.phase
{% endif %}
{% if cloudstack.plugins.botkube_velero.config.config.resources.velero.restores %}
    - name: velero.io/v1/restores
      namespaces:
        include:
          - all
      events:
        - all
      updateSetting:
        includeDiff: true
        fields:
          - status.phase
{% endif %}